lunes, 16 de junio de 2008

Paquetes y librerias a instalar

Después de un ratote que no andaba por aquí, hoy quiero hacer una lista de la mayoría de los paquetes y librerias que uso en una instalación nueva de GNU/Linux (Debian y Ubuntu, las distros que uso), seguir esto, nos puede ayudar a evitarnos ciertos problemas con reproducir algún formato de video/audio, o para compilar o instalar algún otro paquete. He aquí la lista:

Uno de los primeros puntos que es recomendable hacer, si es que usamos Debian es agregar los repositorios multimedia y contrib non-free, Para usarlos podemos seguir estas instrucciones.

NOTA: Hay que mencionar que si encontramos versiones -dev de los paquetes, convendría instalarlos también

Audio/Video:

  • Totem-xine
  • Vlc (Instalarlo en Debian/Lenny)
  • Gstreamer (Todo lo relacionado a esto, en Debian también gstreamer-lame y liblame)
  • Libxine
  • Mplayer
  • Mencoder
  • Audacious
  • Audacity
  • K3b
  • libavcodec
  • libavformat
  • libavfile
  • libasound
  • libintl-perl
  • libiso9660
  • libvcdinfo
  • liboxsd2
  • libgnomeui
  • libquicktime
  • libdvdread
  • libdvdnav
  • libmpeg
  • xlibmesa-gl (Aceleracion 3D Intel)
  • xlibmesa-dri (Aceleracion 3D Intel)
  • libgl1-mesa-dev (Aceleracion 3D Intel)
  • libgl1-mesa-dri (Aceleracion 3D Intel)
  • libcaca
  • libaa
  • libisofs
  • mpg123
  • mpg321
  • mesa-utils
  • libxalan110
  • libxerces
  • Timidity
  • Xmms (Hay muchos plugins)
  • Mkisofs
  • Jokosher
  • Jack
  • Kino
  • libdvdcss2
  • w32codecs
  • avidemux
  • imagemagick
  • ffmpeg
  • alsa-source
  • alsa-tools
  • mpeg3-utils
  • mpeg2dec
  • xorg
  • dvdauthor
  • vamps
  • vcdimager

Internet:


Extras:

  • Gdeb
  • Alien
  • Sysinfo (Solo en Ubuntu)
  • lshw
  • tcl8.4 y tk8.4 (para aMSN)
  • Subtitleeditor
  • 915Resolution (Resolucion de pantalla en Intel)
  • gpgkeys
  • vmrs
  • sensors-applet
  • lm-sensors
  • gnome-applets
  • gnome-art
  • gnome-audio
  • gnome-bluetooth
  • gnome-extra-icons
  • msttcorefonts
  • timer-applet
  • unrar-free
  • i2e
  • ntpdate
  • comix
  • hotkeys
  • toshutils (en caso de tener una Toshiba)
  • gdesklets

Sistema:
  • gcc
  • g++
  • g77
  • make
  • module-assistant
  • javacc
  • pkg-config
  • build-essential
  • Headers de kernel ( apt-get install linux-headers-$(uname -r) )
  • ipw3945-modules-x.x.xx (en caso de tener una tarjeta de red Intel pro 3945

En mi caso, a veces me dice que existe un problema con dependencias, bueno el comando básico para resolver dependencias, es decir, para que el sistema intente instalar desde repos las dependencias necesarias es:

apt-get install -f

1 comentario:

S1M0 dijo...

Solo una observación a partir de lenny no sera necesario la instalación de el firmware especifico del modelo ahora ese paquete se sustituye por este firmware-iwlwifi con esto instalar el firmware necesario para todas las tarjetas de intel....Vientos Bernal